Subject: bug#512: openvswitch-common: arm64 testing/sid package missing libopenvswitch-2.13.so.0.0.0 and postinst script error

From: topro <[email-masked]>
Date: Thu, 01 Oct 2020 21:39:22 +0200

Package: openvswitch-common
Version: 2.13.0+dfsg1-12
Severity: grave
Justification: renders package unusable
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

   * What led up to the situation?

    Trying to install openvswitch-common + openvswitch-switch in debian testing usig apt. Installation exits with error message when running postinst step

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

    apt install openvswitch-common opevswitch-switch

   * What was the outcome of this action?

    broken package openvswitch-common, not installed package openvswitch-switch

   * What outcome did you expect instead?

    working installation of openvswitch

Taking a short look at the arm64 package of openvswitch-common I think I could identify two issues.

The first one is that libopenvswitch-2.13.so.0.0.0 seems to be missing from the package, there is only the libopenvswitch-2.13.so.0 symlink.

The second issue seems to be a hardcoded arch path in the postinst script: ... "/usr/lib/x86_64-linux-gnu/libopenvswitch-2.13.so.0.0.0" ...
which obviously doesn't seem to be correct for the arm64 package.

I also had a short look at the version 2.10 arm64 package of openvswitch-common from buster. That one does have the according .so.0.0.0 file and it
comes completely without any postinst script, so I assume both issues got introduced with version 2.13 of this package.

Thank you very much for having a look at those issues.

Best regards,
Tobi

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: aarch64

Kernel: Linux 5.8.0-2-arm64 (SMP w/4 CPU threads)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages openvswitch-common depends on:
ii  iproute2     5.8.0-1
ii  libc6        2.31-3
ii  libcap-ng0   0.7.9-2.2
ii  libssl1.1    1.1.1g-1
ii  libunbound8  1.11.0-1
ii  openssl      1.1.1g-1
ii  python3      3.8.2-3
ii  python3-six  1.15.0-1

openvswitch-common recommends no packages.

Versions of packages openvswitch-common suggests:
pn  ethtool  <none>

-- no debconf information